## floodlight 0.85+dfsg

=== debian/changelog ===
floodlight (0.85+dfsg-0ubuntu1) quantal; urgency=low

  [ James Page ]
  * Repack upstream tarball to remove minified javascript files.
  * Added required javascript library deps to BD's.
  * Switched logging to /var/log/floodlight with suitable logrotate
    configuration, added sensible default logging configuration.
  * Fixed up issue with simple-http jar file not being included in the
    manifest classpath correctly (actual jar name is simple.jar).
  * Added additional jython configuration to floodlight wrapper.
  * Added headers to patches.
  * Switch runtime dependency to -headless Java runtime to minimize
    footprint.
  * Added support for setting JVM_OPTS in daemon process.

  [ Alex Reimers ]
  * New upstream version.

  [ Rich Lane ]
  * Create and use the floodlight user and group.
  * Install a properties and default file.
  * Add ant-optional to build-depends.
  * Initial Release.

 -- James Page <james.page@ubuntu.com>  Fri, 27 Jul 2012 14:11:55 +0100

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
 http://githubredir.debian.net/github/floodlight/floodlight/ v(.*).tar.gz debian debian/orig-tar.sh

## floodlight 0.90+dfsg

=== Makefile ===
# Because I am old and crotchety and my fingers can't stop from running 
#	`make` commands

.PHONY: docs doc all test tests count install clean

all:
	ant

init:
	ant init

docs:
	ant javadoc

doc:
	ant javadoc

javadoc:
	ant javadoc

check: tests
test: tests

tests: all unit-tests

unit-tests:
	ant tests

regression-tests:
	make -C regress tests

count: 
	@find src -name \*.java | xargs wc -l | sort -n

clean:
	ant clean

=== debian/changelog ===
floodlight (0.90+dfsg-0ubuntu3) trusty; urgency=low

  * d/tests/daemons: Sleep for a bit prior to running tests to allow
    all floodlight services to startup in full.

 -- James Page <james.page@ubuntu.com>  Wed, 27 Nov 2013 10:48:00 +0000

floodlight (0.90+dfsg-0ubuntu2) trusty; urgency=low

  * d/p/fix-jython.patch: Add additional jar files to runtime classpath
    to support use with jython >= 2.5.3 (LP: #1254096).
  * d/control: Bump Standards-Version 3.9.4, no changes.
  * d/control,tests: Add DEP-8 tests (from UTAH smoke tests).

 -- James Page <james.page@ubuntu.com>  Mon, 25 Nov 2013 10:25:15 +0000

floodlight (0.90+dfsg-0ubuntu1) raring; urgency=low

  * New upstream release:
    - Refreshed patches.
  * d/watch: Updated to scan github.com directly for new versions.

 -- James Page <james.page@ubuntu.com>  Thu, 22 Nov 2012 12:28:41 +0000

=== debian/control ===
Source: floodlight
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rich Lane <rlane@bigswitch.com>
Build-Depends:
 ant,
 ant-optional,
 debhelper (>= 8.0.0),
 default-jdk,
 junit4,
 jython,
 libantlr-java,
 libargs4j-java,
 libasm3-java,
 libconcurrentlinkedhashmap-java,
 libeasymock-java,
 libjackson-json-java,
 liblogback-java,
 libnetty-java,
 librestlet-java,
 libslf4j-java,
 libthrift-java,
 thrift-compiler,
 libjs-twitter-bootstrap,
 libjs-backbone,
 libjs-jquery,
 libjs-underscore,
 yui-compressor
Standards-Version: 3.9.4
Homepage: http://floodlight.openflowhub.org/
XS-Testsuite: autopkgtest

Package: floodlight
Architecture: all
Depends:
 adduser,
 default-jre-headless | java6-runtime-headless,
 jython,
 libantlr-java,
 libargs4j-java,
 libconcurrentlinkedhashmap-java,
 libeasymock-java,
 libjackson-json-java,
 liblogback-java,
 libnetty-java,
 librestlet-java,
 libslf4j-java,
 libthrift-java,
 ${misc:Depends}
Suggests: thrift-compiler
Description: High performance Java based OpenFlow network controller
 Floodlight is a high performance Java based OpenFlow controller originally
 written by David Erickson at Stanford University.
 .
 Floodlight supports a broad range of virtual and physical OpenFlow switches
 and has rich support for mixed OpenFlow and non-OpenFlow networks supporting
 management of multiple islands of OpenFlow switches.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@

get-orig-source:
	uscan --force-download --rename

override_dh_auto_test-indep:

override_dh_auto_build:
	mkdir -p src/main/resources/web/lib
	# Floodlight statically links these JS files into the floodlight jar archive
	# which is why they are build-depends and not runtime depends.
	ln -s /usr/share/javascript/backbone/backbone.min.js src/main/resources/web/lib/backbone-min.js
	ln -s /usr/share/javascript/jquery/jquery.min.js src/main/resources/web/lib
	ln -s /usr/share/javascript/underscore/underscore.min.js src/main/resources/web/lib/underscore-min.js
	ln -s /usr/share/javascript/twitter-bootstrap/js/bootstrap-alert.js src/main/resources/web/lib
	ln -s /usr/share/javascript/twitter-bootstrap/js/bootstrap-dropdown.js src/main/resources/web/lib
	yui-compressor debian/misc/d3.v2.js > src/main/resources/web/lib/d3.v2.min.js
	dh_auto_build

override_dh_auto_clean:
	rm -f src/main/resources/web/lib/*.js
	dh_auto_clean

=== debian/tests/control ===
Tests: daemons floodlight
Depends: mininet, iperf, openvswitch-switch, floodlight
Restrictions: needs-root rw-build-tree

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
 https://github.com/floodlight/floodlight/tags .*/v(.*).tar.gz debian debian/orig-tar.sh
